summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-05-31 20:03:08 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-31 20:03:49 +0200
commit19ebddf32aeb772388f0c833722cdc64634f829a (patch)
tree8931326565c56fc9f2c6a948334bed83137730e1
parentmedia-tv/kodi: disable MPROTECT to prevent segfault in bundled libffi (diff)
downloadgentoo-19ebddf32aeb772388f0c833722cdc64634f829a.tar.gz
gentoo-19ebddf32aeb772388f0c833722cdc64634f829a.tar.bz2
gentoo-19ebddf32aeb772388f0c833722cdc64634f829a.zip
kde-plasma/plasma-sdk: Drop USE=plasmate
This was dropped in 5.10 for being broken at runtime in 5.9 already. In case we stabilise this, there is no way to do it with plasmate enabled. Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--kde-plasma/plasma-sdk/plasma-sdk-5.9.5.ebuild13
1 files changed, 2 insertions, 11 deletions
diff --git a/kde-plasma/plasma-sdk/plasma-sdk-5.9.5.ebuild b/kde-plasma/plasma-sdk/plasma-sdk-5.9.5.ebuild
index 0e6e7fcda0f..49055db89c8 100644
--- a/kde-plasma/plasma-sdk/plasma-sdk-5.9.5.ebuild
+++ b/kde-plasma/plasma-sdk/plasma-sdk-5.9.5.ebuild
@@ -9,7 +9,7 @@ inherit kde5
DESCRIPTION="Useful applications for Plasma development"
KEYWORDS="~amd64 ~arm ~x86"
-IUSE="plasmate"
+IUSE=""
DEPEND="
$(add_frameworks_dep karchive)
@@ -34,13 +34,6 @@ DEPEND="
$(add_qt_dep qtwidgets)
$(add_qt_dep qtxml)
dev-libs/kirigami:1
- plasmate? (
- $(add_frameworks_dep kdelibs4support)
- $(add_frameworks_dep knewstuff)
- $(add_frameworks_dep kparts)
- $(add_qt_dep qtwebkit)
- dev-util/kdevplatform:5
- )
"
RDEPEND="${DEPEND}
!dev-util/plasmate
@@ -48,9 +41,7 @@ RDEPEND="${DEPEND}
src_configure() {
local mycmakeargs=(
- $(cmake-utils_use_find_package plasmate KDevPlatform)
- $(cmake-utils_use_find_package plasmate Qt5WebKit)
- $(cmake-utils_use_find_package plasmate Qt5WebKitWidgets)
+ -DCMAKE_DISABLE_FIND_PACKAGE_KDevPlatform=ON
)
kde5_src_configure